Documentation forAppOptics

Upgrading

Upgrading to latest AppOptics agent

The agent is distributed as a standard module on pypi; you can upgrade the way you would another Python package, eg.:

Copy
pip install --upgrade appoptics-apm

Upgrading from AppOptics agent 2.x

The agent was named appoptics in versions prior to 3.x. This documents the upgrade from version 2.x to 3.x.

  1. Install the new appoptics-apm package
  2. Reconfigure instrumented applications following the steps documented to enable the agent
  3. Once all applications are migrated to use the new package, remove the old appoptics package
  4. Update requirements or other dependency management files as needed to refer to the appoptics-apm package

Upgrading from TraceView

This documents the migration from the legacy TraceView Python Agent to the new AppOptics Python Agent.

  1. Install the new AppOptics Python Agent
  2. Reconfigure instrumented applications following the steps documented to enable the agent
  3. Once all applications are migrated to use the new agent, remove the legacy TraceView Python Agent (Python package oboe) and Tracelyzer (package tracelyzer and liboboe0)

The scripts are not supported under any SolarWinds support program or service. The scripts are provided AS IS without warranty of any kind. SolarWinds further disclaims all warranties including, without limitation, any implied warranties of merchantability or of fitness for a particular purpose. The risk arising out of the use or performance of the scripts and documentation stays with you. In no event shall SolarWinds or anyone else involved in the creation, production, or delivery of the scripts be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use the scripts or documentation.